import { FlowNodeOptions } from '../../type';
import { default as Base } from '../base';

type TimeUnit = 'milliseconds' | 'seconds' | 'minutes' | 'hour';
export type DelayParams = {
    num: number;
    unit: TimeUnit;
};
export default class DelayNode extends Base<DelayParams> {
    static Type: string;
    constructor(option: FlowNodeOptions);
    static IsValidate(params?: DelayParams, result?: any): Promise<boolean>;
    protected _execute(): Promise<void>;
    private sleep;
}
export {};
